Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.jsp.tags.validators
Class ValidatableTagAdapter

    java.lang.Object
      |
      +--weblogicx.jsp.tags.validators.ValidatableAdapter
            |
            +--weblogicx.jsp.tags.validators.ValidatableTagAdapter

Direct Known Subclasses:
  CustomValidator

public abstract class ValidatableTagAdapter
extends ValidatableAdapter
implements javax.servlet.jsp.tagext.BodyTag

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected javax.servlet.jsp.tagext.BodyContent` | `bodyContent`
`protected javax.servlet.jsp.PageContext` | `pageContext`
`protected javax.servlet.jsp.tagext.Tag` | `parent`

Fields inherited from class weblogicx.jsp.tags.validators.ValidatableAdapter
`errorMessage, fieldToValidate, isValid`

Constructor Summary
`ValidatableTagAdapter()`

Method Summary
`int` | `doAfterBody()`
`int` | `doEndTag()`
`void` | `doInitBody()`
`int` | `doStartTag()`
`java.lang.String` | `getHiddenField()`
`javax.servlet.jsp.tagext.Tag` | `getParent()`
`void` | `release()`
`void` | `setBodyContent(javax.servlet.jsp.tagext.BodyContent b)`
`void` | `setPageContext(javax.servlet.jsp.PageContext pc)`
`void` | `setParent(javax.servlet.jsp.tagext.Tag t)`
`abstract boolean` | `userExit()` This acts as an User Exit...

Methods inherited from class weblogicx.jsp.tags.validators.ValidatableAdapter
`decodeHiddenField, defaultDecodeHiddenField, defaultWriteHiddenField, getErrorMessage, getFieldToValidate, isValid, setErrorMessage, setFieldToValidate, setIsValid, validate, writeHiddenField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected javax.servlet.jsp.tagext.Tag parent

### pageContext

    protected javax.servlet.jsp.PageContext pageContext

### bodyContent

    protected javax.servlet.jsp.tagext.BodyContent bodyContent

Constructor Detail

### ValidatableTagAdapter

    public ValidatableTagAdapter()

Method Detail

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext pc)

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag t)

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

### setBodyContent

    public void setBodyContent(javax.servlet.jsp.tagext.BodyContent b)

  Specified by:
    setBodyContent in interface javax.servlet.jsp.tagext.BodyTag

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

### doInitBody

    public void doInitBody()

  Specified by:
    doInitBody in interface javax.servlet.jsp.tagext.BodyTag

### doAfterBody

    public int doAfterBody()

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

### release

    public void release()

### getHiddenField

    public java.lang.String getHiddenField()
                                    throws javax.servlet.jsp.JspException

### userExit

    public abstract boolean userExit()
                              throws javax.servlet.jsp.JspException

  This acts as an User Exit... This Class guarantees that this method will be called in the doStartTag method.

  Returns:
    boolean which says whether the user exit was successful or not. true --> EVAL_BODY_TAG false --> SKIP_BODY

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD